unit glDemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, glPage, StdCtrls, glLBox, glALbox, glLabel, glGrBox, glBevel,
  glTView, ExtCtrls, glJump, Buttons, glTab, glImage, glFlyTxt, glDigits,
  glTypes, glCapt, glShape, glHint, ImgList, glHShape, glRuler, glGHC,
  Grids, DBGrids, glBitBtn, glSplit, glSGrid, glCBox, glSpeedButton,
  glSmallFontsDefence, glShadow, glWizardHeader, Mask, glEdit, glPrgrs;

type
  TForm1 = class(TForm)
    pcMain: TglPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    TabSheet5: TTabSheet;
    TabSheet6: TTabSheet;
    TabSheet7: TTabSheet;
    TabSheet8: TTabSheet;
    TabSheet9: TTabSheet;
    TabSheet10: TTabSheet;
    TabSheet11: TTabSheet;
    FrJumpingComponent1: TglJumpingComponent;
    Panel3: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    glFlyingText: TglFlyingText;
    Panel6: TPanel;
    TabSheet12: TTabSheet;
    TabSheet13: TTabSheet;
    Image2: TImage;
    FrAskListBox1: TglAskListBox;
    FrBevel1: TglBevel;
    FrAskListBox2: TglAskListBox;
    HeaderControl1: THeaderControl;
    MainPageControlIL: TImageList;
    ListBox2IL: TImageList;
    ListBox1IL: TImageList;
    FrLabel4: TglLabel;
    FrLabel2: TglLabel;
    FrLabel3: TglLabel;
    Image3: TImage;
    glListBox1: TglListBox;
    glLabel2: TglLabel;
    TabSheet14: TTabSheet;
    glHint1: TglHint;
    Timer1: TTimer;
    glBevel1: TglBevel;
    glBevel2: TglBevel;
    glBevel3: TglBevel;
    glBevel4: TglBevel;
    glDigits1: TglDigits;
    glDigits2: TglDigits;
    Shape3: TShape;
    glGroupBox4: TglGroupBox;
    Shape1: TShape;
    glBevel5: TglBevel;
    TabSheet15: TTabSheet;
    glRuler1: TglRuler;
    glRuler2: TglRuler;
    TabSheet16: TTabSheet;
    HeaderControl2: THeaderControl;
    FrCaption1: TglCaption;
    glBitBtn1: TglBitBtn;
    glBitBtn2: TglBitBtn;
    glBitBtn3: TglBitBtn;
    glBitBtn4: TglBitBtn;
    glStaticText1: TglStaticText;
    glLabel3: TglLabel;
    glSplitter1: TglSplitter;
    glBevel6: TglBevel;
    glBevel7: TglBevel;
    glHoleShape1: TglHoleShape;
    Panel2: TPanel;
    glLabel4: TglLabel;
    Label1: TLabel;
    cbRange1: TglCheckBox;
    glCheckBox4: TglCheckBox;
    glCheckBox5: TglCheckBox;
    cbSupressQueryExec: TglCheckBox;
    cbWord: TglCheckBox;
    glBevel8: TglBevel;
    glGroupBox5: TglGroupBox;
    glSpeedButton1: TglSpeedButton;
    glSpeedButton2: TglSpeedButton;
    glSpeedButton3: TglSpeedButton;
    ImageList1: TImageList;
    glCheckTreeView1: TglCheckTreeView;
    glSplitter2: TglSplitter;
    ShapeColor: TShape;
    glTabControl2: TglTabControl;
    glTabControl1: TglTabControl;
    ScrollBox1: TScrollBox;
    glGroupBox2a: TglGroupBox;
    glGroupBox1a: TglGroupBox;
    glGroupBox2: TglGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    glSpeedButton4: TglSpeedButton;
    glSmallFontsDefence1: TglSmallFontsDefence;
    TabSheet17: TTabSheet;
    glWizardHeader1: TglWizardHeader;
    glWizardHeader2: TglWizardHeader;
    glWizardHeader3: TglWizardHeader;
    glShadow1: TglShadow;
    Edit1: TEdit;
    glShadow2: TglShadow;
    Memo1: TMemo;
    TabSheet18: TTabSheet;
    glProgress1: TglProgress;
    glProgress2: TglProgress;
    glProgress3: TglProgress;
    TrackBar: TTrackBar;
    glProgress5: TglProgress;
    glProgress6: TglProgress;
    glProgress7: TglProgress;
    glProgress8: TglProgress;
    glProgress4: TglProgress;
    TabSheet19: TTabSheet;
    Image1: TImage;
    Image4: TImage;
    Image5: TImage;
    Panel1: TPanel;
    glListBox2: TglListBox;
    glListBox3: TglListBox;
    glLabel26: TglLabel;
    Image6: TImage;
    Shape2: TShape;
    glBitmapImage1: TglBitmapImage;
    procedure pcMainChange(Sender: TObject);
    procedure FreeFlyingText1TextLineChanging(Sender: TObject;
      LineNum: Integer);
    procedure sbShowHoleShapeDemoClick(Sender: TObject);
    procedure Panel1Click(Sender: TObject);
    procedure glTabControl3GetItemColor(Sender: TObject; Index: Integer;
      var Color: TColor);
    procedure TrackBarChange(Sender: TObject);
  private
    CanvasBmp,ShowBmp: TBitmap;
    yShift,yShiftHeight,yShift_,yShiftHeight_: integer;
    sStr: string;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
const
  sStr1= 'Use under your own responsibility and risk, but all comments and critique are welcome.'
  +#13#10
  +#13#10+'COMPONENTS:'
  +#13#10+'TglBevel'
  +#13#10+'TglButton'
  +#13#10+'TglCheckBox'
  +#13#10+'TglDigits'
  +#13#10+'TglEdit'
  +#13#10+'TglFlyingText'
  +#13#10+'TglGroupBox'
  +#13#10+'TglBitmapImage'
  +#13#10+'TglLabel'
  +#13#10+'TglListBox'
  +#13#10+'TglAskListBox'
  +#13#10+'TglPageControl'
  +#13#10+'TglTabControl'
  +#13#10+'TglHoleShape'
  +#13#10+'TglTreeView'
  +#13#10+'Tgl3DColors'
  +#13#10+'TglCaption'
  +#13#10+'TglHint'

  +#13#10#13#10+'Greetings to:'+#13#10+
        'Akopyan Arsen          Buyko Vladimir'#13#10+
        'Burdunin Konstantin    Buslaeva Irina       Zhelnov Michail'+#13#10+
        'Zelenov Pavel          Plotnikov Alexey';

implementation
uses glUtils, hshape;
{$R *.DFM}

procedure TForm1.pcMainChange(Sender: TObject);
begin
  with (sender as TglPageControl) do
  begin
    glFlyingText.Active := ActivePage = TabSheet9;
    FrJumpingComponent1.Enabled := ActivePage=TabSheet5;
    Timer1.Enabled:=ActivePage=TabSheet12;
  end;
end;

procedure TForm1.FreeFlyingText1TextLineChanging(Sender: TObject;
  LineNum: Integer);
begin
//  with FreeFlyingText1 do
//  if Direction=fsdRaising then Direction:=fsdRecessing
//  else Direction:=fsdRaising;
end;

procedure TForm1.sbShowHoleShapeDemoClick(Sender: TObject);
begin
  Form2.ShowModal;
end;

procedure TForm1.Panel1Click(Sender: TObject);
begin
  close;
end;

procedure TForm1.glTabControl3GetItemColor(Sender: TObject; Index: Integer;
  var Color: TColor);
begin
  if Index = (Sender as TglTabControl).TabIndex then
  begin
    Color := RGB( 128 + Random(128), 128 + Random(128), 128 + Random(128));
    ShapeColor.Brush.Color := Color;
  end;
end;

procedure TForm1.TrackBarChange(Sender: TObject);
begin
  glProgress1.Percent := TrackBar.Position;
  glProgress2.Percent := 100 - TrackBar.Position;
  glProgress3.Percent := TrackBar.Position;
  glProgress4.Percent := 100 - TrackBar.Position;
  glProgress5.Percent := TrackBar.Position;
  glProgress6.Percent := TrackBar.Position;
  glProgress7.Percent := TrackBar.Position;
  glProgress8.Percent := 100 - TrackBar.Position;
end;

end.
